<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateBapplansTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: bapplans
         */
        Schema::create('bapplans', function ($table) {
            $table->increments('id');
            $table->string('name', 255)->nullable();
            $table->decimal('amount', 8,2)->nullable();
            $table->integer('baps')->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('bapplans');
    }
}
